DescriptorProtos.MessageOptionsOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.MessageOptionsOrBuilder

- All Superinterfaces:
    GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.MessageOptions>, MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.MessageOptions, DescriptorProtos.MessageOptions.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.MessageOptionsOrBuilder
      extends GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.MessageOptions>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDeprecated()` Is this message deprecated? Depending on the target platform, this can emit Deprecated annotations for the message, or it will be completely ignored; in the very least, this is a formalization for deprecating messages.
    `boolean` | `getMapEntry()` Whether the message is an automatically generated map entry type for the maps field.
    `boolean` | `getMessageSetWireFormat()` Set true to use the old proto1 MessageSet wire format for extensions.
    `boolean` | `getNoStandardDescriptorAccessor()` Disables the generation of the standard "descriptor()" accessor, which can conflict with a field of the same name.
    `DescriptorProtos.UninterpretedOption` | `getUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `int` | `getUninterpretedOptionCount()` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption>` | `getUninterpretedOptionList()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOptionOrBuilder` | `getUninterpretedOptionOrBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` | `getUninterpretedOptionOrBuilderList()` The parser stores options it doesn't recognize here.
    `boolean` | `hasDeprecated()` Is this message deprecated? Depending on the target platform, this can emit Deprecated annotations for the message, or it will be completely ignored; in the very least, this is a formalization for deprecating messages.
    `boolean` | `hasMapEntry()` Whether the message is an automatically generated map entry type for the maps field.
    `boolean` | `hasMessageSetWireFormat()` Set true to use the old proto1 MessageSet wire format for extensions.
    `boolean` | `hasNoStandardDescriptorAccessor()` Disables the generation of the standard "descriptor()" accessor, which can conflict with a field of the same name.

    - ### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

      `getDefaultInstanceForType, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasMessageSetWireFormat

          boolean hasMessageSetWireFormat()

           Set true to use the old proto1 MessageSet wire format for extensions.
           This is provided for backwards-compatibility with the MessageSet wire
           format.  You should not use this for any other reason:  It's less
           efficient, has fewer features, and is more complicated.
           The message must be defined exactly as follows:
             message Foo {
               option message_set_wire_format = true;
               extensions 4 to max;
             }
           Note that the message cannot have any defined fields; MessageSets only
           have extensions.
           All extensions of your type must be singular messages; e.g. they cannot
           be int32s, enums, or repeated messages.
           Because this is an option, the above two restrictions are not enforced by
           the protocol compiler.

      `optional bool message_set_wire_format = 1 [default = false];`

    - #### getMessageSetWireFormat

          boolean getMessageSetWireFormat()

           Set true to use the old proto1 MessageSet wire format for extensions.
           This is provided for backwards-compatibility with the MessageSet wire
           format.  You should not use this for any other reason:  It's less
           efficient, has fewer features, and is more complicated.
           The message must be defined exactly as follows:
             message Foo {
               option message_set_wire_format = true;
               extensions 4 to max;
             }
           Note that the message cannot have any defined fields; MessageSets only
           have extensions.
           All extensions of your type must be singular messages; e.g. they cannot
           be int32s, enums, or repeated messages.
           Because this is an option, the above two restrictions are not enforced by
           the protocol compiler.

      `optional bool message_set_wire_format = 1 [default = false];`

    - #### hasNoStandardDescriptorAccessor

          boolean hasNoStandardDescriptorAccessor()

           Disables the generation of the standard "descriptor()" accessor, which can
           conflict with a field of the same name.  This is meant to make migration
           from proto1 easier; new code should avoid fields named "descriptor".

      `optional bool no_standard_descriptor_accessor = 2 [default = false];`

    - #### getNoStandardDescriptorAccessor

          boolean getNoStandardDescriptorAccessor()

           Disables the generation of the standard "descriptor()" accessor, which can
           conflict with a field of the same name.  This is meant to make migration
           from proto1 easier; new code should avoid fields named "descriptor".

      `optional bool no_standard_descriptor_accessor = 2 [default = false];`

    - #### hasDeprecated

          boolean hasDeprecated()

           Is this message deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the message, or it will be completely ignored; in the very least,
           this is a formalization for deprecating messages.

      `optional bool deprecated = 3 [default = false];`

    - #### getDeprecated

          boolean getDeprecated()

           Is this message deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the message, or it will be completely ignored; in the very least,
           this is a formalization for deprecating messages.

      `optional bool deprecated = 3 [default = false];`

    - #### hasMapEntry

          boolean hasMapEntry()

           Whether the message is an automatically generated map entry type for the
           maps field.
           For maps fields:
               map<KeyType, ValueType> map_field = 1;
           The parsed descriptor looks like:
               message MapFieldEntry {
                   option map_entry = true;
                   optional KeyType key = 1;
                   optional ValueType value = 2;
               }
               repeated MapFieldEntry map_field = 1;
           Implementations may choose not to generate the map_entry=true message, but
           use a native map in the target language to hold the keys and values.
           The reflection APIs in such implementions still need to work as
           if the field is a repeated message field.
           NOTE: Do not set the option in .proto files. Always use the maps syntax
           instead. The option should only be implicitly set by the proto compiler
           parser.

      `optional bool map_entry = 7;`

    - #### getMapEntry

          boolean getMapEntry()

           Whether the message is an automatically generated map entry type for the
           maps field.
           For maps fields:
               map<KeyType, ValueType> map_field = 1;
           The parsed descriptor looks like:
               message MapFieldEntry {
                   option map_entry = true;
                   optional KeyType key = 1;
                   optional ValueType value = 2;
               }
               repeated MapFieldEntry map_field = 1;
           Implementations may choose not to generate the map_entry=true message, but
           use a native map in the target language to hold the keys and values.
           The reflection APIs in such implementions still need to work as
           if the field is a repeated message field.
           NOTE: Do not set the option in .proto files. Always use the maps syntax
           instead. The option should only be implicitly set by the proto compiler
           parser.

      `optional bool map_entry = 7;`

    - #### getUninterpretedOptionList

          java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOption

          DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionCount

          int getUninterpretedOptionCount()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilderList

          java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilder

          DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`